Conversation Attachments

List Conversation Attachments

List conversation attachments

get
/v1/conversation/{conversationId}/attachment/list

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

conversationIdstring* Required

The ID of the conversation to list attachments for

cursorstring

The cursor to use for pagination

takeinteger

The number of items to retrieve

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.conversation.attachment.list(

conversationId
)
{
"items":[
{
"name":"string",
"description":"string",
"meta":"object",
"id":"string",
"createdAt":"number",
"updatedAt":"number",
"type":"string",
"size":"number"
}
],
"cursor":"string"
}
The attachments were listed successfully